Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class UnresolvedReferenceExceptionImpl

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.sf.saxon.type.UnresolvedReferenceException
                      com.saxonica.schema.UnresolvedReferenceExceptionImpl

All Implemented Interfaces:
  Serializable

    public class UnresolvedReferenceExceptionImpl

extends UnresolvedReferenceException

This exception occurs when an attempt is made to dereference a reference from one schema component to another, if the target of the reference cannot be found. Note that an unresolved reference is not necessarily an error: a schema containing unresolved references may be used for validation, provided the components containing the unresolved references are not actually used.

See Also:
  Serialized Form

Constructor Summary
`UnresolvedReferenceExceptionImpl(ComponentReference ref)`

Method Summary
`ComponentReference` | `getComponentReference()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnresolvedReferenceExceptionImpl

    public UnresolvedReferenceExceptionImpl(ComponentReference ref)

Method Detail

### getComponentReference

    public ComponentReference getComponentReference()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.